cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/cert-manager/syncs/aws-certificate-manager/{pkiSyncId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isAutoSyncEnabled": true,
"syncOptions": {
"canImportCertificates": false,
"canRemoveCertificates": true,
"includeRootCa": false,
"preserveArn": true,
"certificateNameSchema": "<string>"
},
"subscriberId": "<string>",
"connectionId": "<string>"
}
'import requests
url = "https://us.infisical.com/api/v1/cert-manager/syncs/aws-certificate-manager/{pkiSyncId}"
payload = {
"name": "<string>",
"description": "<string>",
"isAutoSyncEnabled": True,
"syncOptions": {
"canImportCertificates": False,
"canRemoveCertificates": True,
"includeRootCa": False,
"preserveArn": True,
"certificateNameSchema": "<string>"
},
"subscriberId": "<string>",
"connectionId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isAutoSyncEnabled: true,
syncOptions: {
canImportCertificates: false,
canRemoveCertificates: true,
includeRootCa: false,
preserveArn: true,
certificateNameSchema: '<string>'
},
subscriberId: '<string>',
connectionId: '<string>'
})
};
fetch('https://us.infisical.com/api/v1/cert-manager/syncs/aws-certificate-manager/{pkiSyncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"destination": "aws-certificate-manager",
"isAutoSyncEnabled": true,
"destinationConfig": {},
"syncOptions": {
"canImportCertificates": false,
"canRemoveCertificates": true,
"includeRootCa": false,
"preserveArn": true,
"certificateNameSchema": "<string>"
},
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"subscriberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncStatus": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z"
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}AWS Certificate Manager
Update AWS Certificate Manager PKI Sync
Update the specified AWS Certificate Manager PKI Sync.
PATCH
/
api
/
v1
/
cert-manager
/
syncs
/
aws-certificate-manager
/
{pkiSyncId}
cURL
Path Parameters
Body
application/json
Response
Default Response
Maximum string length:
256Available options:
aws-certificate-manager Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I